View Issue Details

IDProjectCategoryView StatusLast Update
0000568Far Manager 1.7xCommand Line/Executepublic2008-07-01 14:33
ReporterHaRTAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000568: Сбивается командная строка при скрытии/показе/обновлении файловой панели (в т.ч. автоматическом)
DescriptionЕсли при редактировании длинной (чтобы её начало было скрыто) командной строки происходит обновление файловой панели (как ручное, так и автоматическое из-за изменения файлов), то происходит сдвиг командной строки, смещающий текущую экранную позицию курсора как можно правее (в пределах окна; насколько позволяет длина текста). При этом позиция курсора в тексте командной строки сохраняется.

Помимо перескока курсора, такое поведение неудобно тем, что теряется из виду контекст непосредственно правее позиции ввода.
Steps To Reproduce1. Открыть Фар без макросов и плагинов (например, в стандартном окне 80*25 символов).
2. Открыть в файловой панели какую-нибудь папку (например, C:\Windows\Temp).
3. Ввести командную строку длиной больше ширины окна (например, 100 символов - лучше разных, чтобы было проще заметить изменения).
4. Спозиционировать курсор в командной строке так, чтобы он размещался не в самом правом знакоместе, а начало текста оказалось скрыто (например, в позицию 70 на знакоместо 70).
5. Проделать одно из нижеперечисленного:
 а. Нажать CtrlR или CtrlO
 б. Внешними средствами инициировать изменение файла в открытой папке (например, запустить "ping -t localhost > 2008-06-26.txt")
6. Увидеть сдвиг командной строки вправо.
TagsNo tags attached.
Build2407

Activities

HaRT

2008-06-26 07:18

reporter   bugnote:0001649

В 5.б имелось в виду "ping -t localhost > C:\Windows\Temp\2008-06-26.txt"

alexy

2008-06-28 17:47

administrator   bugnote:0001654

Fixed in 2407.

http://farmanager.com/farbugs/Far.b2407.CmdLinePos.rar

Issue History

Date Modified Username Field Change
2008-06-26 07:16 HaRT New Issue
2008-06-26 07:16 HaRT Status new => assigned
2008-06-26 07:16 HaRT Assigned To => alexy
2008-06-26 07:18 HaRT Note Added: 0001649
2008-06-28 17:47 alexy Note Added: 0001654
2008-06-28 17:47 alexy Status assigned => feedback
2008-07-01 14:33 alexy Build => 2407
2008-07-01 14:33 alexy Status feedback => closed
2008-07-01 14:33 alexy Resolution open => fixed
2008-07-01 14:33 alexy Fixed in Version => 1.71